npm command-line interface

# npm-set-script

Set tasks in the scripts section of package.json

## Table of contents

- Synopsis
- Configuration

- workspaces
- workspace

- See Also

### Synopsis

An npm command that lets you create a task in the `scripts` section of the `package.json`.

    npm set-script [<script>] [<command>]

Example:

- `npm set-script start "http-server ."`

    {
      "name": "my-project",
      "scripts": {
        "start": "http-server .",
        "test": "some existing value"
      }
    }

### Configuration

#### workspaces

Enables workspaces context. Tasks will be created in the `scripts` section of the `package.json` of each workspace.

#### workspace

Enables workspaces context and limits creating a task to the `package.json` files of the workspaces given.

### See Also

- npm run-script
- npm install
- npm test
- npm start